#
# popmail.rb
#

require 'net/pop'
require 'parsearg'

def usage( stat = 1 )
  print <<MSG
popmail.rb
  pop mail from POP server and write in file './inbox'

usage:  ruby popmail.rb -p <password> [-u <username>] [<server-address>]
MSG
  exit stat
end
$USAGE = 'usage'
parseArgs( 0, 'p', 'h',
           'p:', 'u:', 'help' )


if $OPT_h or $OPT_help then
  usage 0
end

host     = ARGV[0] || 'localhost'
account  = $OPT_a || ENV['USER']
password = $OPT_p


Net::POP.start( host, 110, account, password ) do |pop|
  if pop.mails.size == 0 then
    puts 'no mail.'
  else
    i = 0
    File.open( 'inbox', 'w' ) do |f|
      pop.each do |popmail|
        popmail.pop( f )
        f.puts
        i += 1
      end
      puts sprintf( '%d mail%s popped.', i, i > 1 ? 's' : '' )
    end
  end
end
